Search.setIndex({"docnames": ["custom_fileclass", "example_scripts", "examples", "file_handlers", "index", "index_gzip", "intro", "modules", "obo", "plot", "pymzml_regex_patterns", "pymzml_run", "pymzml_spec", "pymzml_utils", "quick_start", "suppl_material"], "filenames": ["custom_fileclass.rst", "example_scripts.rst", "examples.rst", "file_handlers.rst", "index.rst", "index_gzip.rst", "intro.rst", "modules.rst", "obo.rst", "plot.rst", "pymzml_regex_patterns.rst", "pymzml_run.rst", "pymzml_spec.rst", "pymzml_utils.rst", "quick_start.rst", "suppl_material.rst"], "titles": ["<span class=\"section-number\">4.6. </span>Implementing an own file class", "<span class=\"section-number\">4.7. </span>Example Scripts", "<span class=\"section-number\">4. </span>Examples and Advanced Usage", "<span class=\"section-number\">3.5. </span>File Access", "Welcome to pymzML\u2019s documentation!", "<span class=\"section-number\">4.1. </span>Writing and Reading igzip files", "<span class=\"section-number\">1. </span>Introduction", "<span class=\"section-number\">3. </span>pymzML module content", "<span class=\"section-number\">3.6. </span>OBO parser", "<span class=\"section-number\">3.4. </span>Plotting functions", "<span class=\"section-number\">3.7. </span>Regex patterns", "<span class=\"section-number\">3.1. </span>Main reader interface", "<span class=\"section-number\">3.2. </span>Spectrum and Chromatogram", "<span class=\"section-number\">3.3. </span>Utils", "<span class=\"section-number\">2. </span>Quick Start", "<span class=\"section-number\">5. </span>Supplemental Material"], "terms": {"In": [0, 1, 5], "order": [0, 1, 5, 6, 9], "make": [0, 1, 13], "pymzml": [0, 1, 3, 5, 6, 8, 9, 10, 11, 12, 13, 14], "accept": [0, 1, 12, 13], "other": [0, 5, 12], "kind": [0, 3], "mzml": [0, 4, 5, 6, 8, 11, 12], "data": [0, 1, 3, 6, 9, 11, 12, 13, 14], "e": [0, 1, 8, 9, 10, 11, 12, 13, 15], "g": [0, 1, 8, 9, 11, 12], "databas": [0, 1, 13], "one": [0, 1, 3, 5, 9, 11, 12], "can": [0, 1, 3, 5, 6, 8, 9, 11, 12, 13, 14, 15], "similiar": 0, "ones": 0, "discuss": [0, 5], "befor": [0, 6], "follow": [0, 3, 5, 9, 11], "exampl": [0, 4, 8, 10, 12, 13, 14], "build": [0, 3], "access": [0, 4, 6, 7, 11, 12, 13, 14], "sql": [0, 1], "contain": [0, 1, 3, 5, 9, 12, 14, 15], "singl": [0, 9], "spectra": [0, 3, 6, 11, 12, 14], "shown": 0, "At": 0, "first": [0, 1, 5, 6, 8, 14], "specif": [0, 1, 2, 3, 4, 13], "layout": [0, 1, 9], "need": [0, 1, 5, 10, 14], "here": [0, 1, 6, 9, 15], "we": [0, 1, 6, 8, 10, 12], "us": [0, 1, 3, 5, 6, 8, 9, 10, 11, 12, 13, 14, 15], "store": [0, 11, 12], "each": [0, 1, 5, 9, 10, 12], "spectrum": [0, 3, 4, 7, 8, 10, 11, 14], "tabl": [0, 8], "2": [0, 1, 5, 8, 9, 10, 11, 12, 14], "column": 0, "identifi": [0, 1, 3, 11, 13], "xml": [0, 1, 3, 10, 12], "element": [0, 1, 11, 12], "form": [0, 1], "string": [0, 3, 5, 9, 11, 12, 13, 14], "creation": [0, 13], "import": [0, 1, 5, 8, 12, 14], "sqlite3": [0, 1], "o": [0, 1, 5, 13], "from": [0, 1, 3, 5, 8, 11, 12, 13, 14], "spec": [0, 1, 3, 12, 14], "run": [0, 8, 11, 12, 13, 14, 15], "reader": [0, 1, 2, 4, 7, 8, 12, 13, 14], "def": [0, 1, 5, 8, 13, 14], "create_database_from_fil": 0, "db_name": 0, "mzml_path": [0, 1], "conn": 0, "connect": [0, 1, 9], "db": [0, 1, 13], "path": [0, 1, 3, 5, 11, 12, 13], "abspath": 0, "cursor": [0, 1], "execut": [0, 1], "id": [0, 1, 3, 5, 8, 10, 11, 12, 14], "int": [0, 1, 3, 5, 9, 10, 11, 12, 13], "text": [0, 3, 5, 12, 13], "param": [0, 12], "to_str": [0, 12], "insert": [0, 1, 13], "INTO": 0, "valu": [0, 12], "return": [0, 1, 3, 9, 11, 12, 13], "true": [0, 1, 3, 9, 11, 12, 13], "after": [0, 5, 12, 13], "thi": [0, 1, 5, 8, 9, 10, 12, 13, 14], "which": [0, 1, 3, 5, 9, 12, 13, 14], "__getitem__": [0, 1, 3, 11, 12], "function": [0, 4, 6, 7, 8, 11, 12, 14], "random": [0, 6, 11, 13, 14], "read": [0, 1, 2, 3, 4, 6, 11, 13], "sequentiallli": 0, "iter": [0, 3, 5, 11], "simpl": [0, 1], "approach": 0, "alwai": 0, "whole": 0, "One": [0, 5, 14], "obviou": 0, "optim": 0, "would": 0, "smaller": 0, "chunk": [0, 3], "jump": [0, 3], "next": [0, 1, 11], "soon": 0, "end": [0, 1, 3, 5, 9, 10], "current": [0, 1, 8, 9, 12], "i": [0, 1, 3, 5, 6, 8, 9, 10, 11, 12, 13, 14], "reach": [0, 1, 5, 14], "exercis": 0, "interest": 0, "etre": [0, 12], "elementtre": [0, 12], "et": [0, 1], "sqlitedatabas": [0, 1, 13], "object": [0, 1, 3, 8, 9, 11, 12, 13], "connector": [0, 13], "sqlite": [0, 1, 13], "initi": [0, 1, 3, 5, 8, 11, 12, 14], "custom": [0, 4, 12], "retriev": [0, 1, 3, 5, 12], "__init__": [0, 1, 3, 9], "self": [0, 1, 12, 13], "curr_spec_id": 0, "0": [0, 1, 5, 6, 8, 9, 10, 12, 14], "kei": [0, 1, 5, 8, 12, 14], "select": [0, 1, 11, 12], "where": [0, 1, 8, 12, 14], "fetchon": [0, 1], "tag": [0, 1, 10, 11, 12], "elif": [0, 1, 8, 13], "chromatogram": [0, 3, 4, 7, 10, 11], "get_spectrum_count": [0, 1, 11], "count": [0, 1, 5, 11], "num": [0, 1], "size": [0, 1, 3, 13, 14], "1": [0, 1, 3, 5, 6, 9, 10, 11, 12, 13, 14], "so": [0, 1, 5], "start": [0, 1, 4, 5, 6, 9], "switch": [0, 1], "current_spectrum_id": 0, "__name__": [0, 1, 5, 14], "__main__": [0, 1, 5, 14], "what": [0, 10], "doe": [0, 10, 12], "my_it": 0, "iterpars": 0, "test": [0, 1, 12, 13, 14], "now": [0, 1, 8], "you": [0, 6, 14], "your": [0, 1, 3, 13, 14], "x": [0, 1, 5, 9, 15], "print": [0, 1, 5, 8, 9, 12, 14], "unique_id": 0, "5": [0, 1, 12], "my_spec": 0, "allow": [0, 3, 6, 12, 14], "new": [0, 9, 13, 14], "filehandl": [0, 13], "abl": 0, "detect": [0, 12], "when": [0, 5, 9, 12, 14], "The": [0, 1, 3, 5, 6, 8, 9, 11, 12, 14, 15], "easiest": 0, "wai": [0, 1], "add": [0, 1, 9, 12], "anoth": [0, 12], "statement": 0, "decid": 0, "handler": [0, 3, 9], "base": [0, 3, 6], "For": [0, 1, 5, 12], "edit": [0, 1, 12], "_open": [0, 1, 3, 13], "method": [0, 1, 12, 13], "code": [0, 1, 4, 5], "open": [0, 1, 3, 6, 10], "like": [0, 3, 5, 6], "resp": [0, 3], "argument": [0, 1, 3, 9, 11, 12, 13, 14], "str": [0, 1, 3, 5, 9, 11, 12, 13], "file_handl": [0, 1, 3, 13], "instanc": [0, 3], "py": [0, 1, 6, 8, 14], "file_class": [0, 3, 11], "standardgzip": [0, 1, 3, 13], "indexedgzip": [0, 1, 3, 13], "standardmzml": [0, 1, 3, 13], "endswith": [0, 1, 13], "gz": [0, 5, 12, 13, 14], "_indexed_gzip": [0, 1, 3, 13], "set": [0, 1, 4, 5, 6, 8, 9, 11, 12, 13], "offset_nam": 0, "offset": [0, 3, 5, 10, 13, 14], "encod": [0, 1, 3, 9, 10, 12, 13], "k": [0, 6], "v": [0, 1], "index": [0, 2, 3, 4, 10, 12, 13, 14], "item": [0, 1, 3], "append": [0, 1], "ra_read": 0, "off": 0, "as_numpi": 0, "els": [0, 1, 3, 5, 13], "sqliteconnector": [0, 1, 13], "simple_pars": [1, 14], "main": [1, 4, 7, 14], "mzml_file": [1, 14], "sourc": [1, 3, 6, 9, 11, 12, 13, 14], "basic": [1, 12, 14], "demonstr": [1, 14], "usag": [1, 3, 4, 6, 8, 14], "requir": [1, 3, 5, 6, 9, 12, 14], "path_to_mzml_fil": [1, 14], "level": [1, 8, 11, 12, 14], "being": [1, 14], "properti": [1, 11, 12, 13, 14], "ms_level": [1, 12, 14], "found": [1, 3, 5, 6, 12, 14, 15], "simple_parser_v2": [1, 14], "usr": [1, 14], "bin": [1, 12, 14], "env": [1, 14], "python": [1, 5, 6, 9, 11, 12, 14], "sy": [1, 5, 14], "note": [1, 9, 12, 14], "n": [1, 12, 14], "enumer": [1, 14], "rt": [1, 14], "scan_tim": [1, 12, 14], "2f": [1, 14], "format": [1, 2, 3, 4, 6, 8, 9, 10, 11, 12, 13, 14], "scan_time_in_minut": [1, 12, 14], "len": [1, 3, 5, 14], "argv": [1, 5, 14], "__doc__": [1, 5, 14], "exit": [1, 14], "collect": [1, 5, 10], "defaultdict": 1, "ddict": 1, "10000": [1, 13], "stat": 1, "r": [1, 5, 6], "obtain": 1, "centroidedpeak": 1, "queryobo": [1, 8], "arg": [1, 5], "interrog": [1, 8, 12], "h": 1, "version": [1, 5, 6, 9, 10, 11, 12], "scan": [1, 8, 10, 12, 14], "time": [1, 5, 8, 12, 13], "1000016": [1, 8], "taken": [1, 8], "an": [1, 2, 3, 4, 5, 6, 8, 9, 11, 12, 13, 14], "acquisit": [1, 8], "analyz": [1, 8, 12], "psi": [1, 8], "1000503": [1, 8], "attribut": [1, 8, 12], "utf": 1, "8": [1, 3, 9, 13], "argpars": 1, "fieldnam": 1, "is_a": [1, 8], "obotransl": [1, 8], "parseobo": 1, "isdigit": 1, "search_by_id": 1, "ix": 1, "match": [1, 5], "search_by_nam": 1, "search": [1, 3, 4], "lower": 1, "lookup": [1, 8], "return_valu": 1, "ms_tag_regex": 1, "fn": 1, "argumentpars": 1, "add_argu": 1, "help": 1, "part": 1, "term": [1, 8], "look": 1, "default": [1, 9, 12], "valid": [1, 13], "option": [1, 6, 9, 11, 12, 13], "ar": [1, 3, 6, 8, 9, 11, 12, 15], "parse_arg": 1, "plot_chromatogram": 1, "given": [1, 3, 9, 11, 12], "save": [1, 3, 5, 9, 13], "chromatogram_": 1, "html": [1, 5, 9, 12], "factori": [1, 9], "mzml_basenam": 1, "basenam": 1, "pf": 1, "new_plot": [1, 9], "tic": [1, 12], "color": [1, 9], "style": [1, 9], "line": [1, 5, 9, 10], "titl": [1, 9], "xaxi": 1, "retent": [1, 12], "tick": 1, "outsid": [1, 12], "ticklen": 1, "tickwidth": 1, "25": [1, 5], "showgrid": 1, "fals": [1, 3, 9, 11, 12, 13], "linecolor": 1, "black": 1, "yaxi": 1, "plot_bgcolor": 1, "rgba": 1, "255": [1, 13], "paper_bgcolor": 1, "plot_spectrum": 1, "show": [1, 5], "how": [1, 3, 5, 8, 9], "It": [1, 12], "directli": [1, 3], "via": [1, 6, 12, 15], "consol": 1, "example_fil": [1, 8, 12], "join": 1, "dirnam": 1, "__file__": 1, "pardir": 1, "p": [1, 6, 10, 14], "centroid": [1, 8, 9, 12], "stick": [1, 9], "filenam": [1, 9, 13], "example_plot_": 1, "_": 1, "break": 1, "plot_spectrum_with_annot": 1, "multipl": [1, 12], "label": [1, 9, 15], "ms1": [1, 11], "second": [1, 5], "zoom": [1, 9], "isotop": 1, "pattern": [1, 4, 7], "third": 1, "fragment": 1, "ms2": [1, 12], "peptid": 1, "hlvdepqnlik": 1, "bsa": 1, "These": 1, "also": [1, 8, 12, 14], "defin": [1, 3, 8, 9, 12, 13], "appear": [1, 9], "copi": 1, "some": [1, 8, 10], "gener": [1, 2, 4, 8, 12, 13], "bsa1": [1, 14], "differ": [1, 3, 11, 12, 15], "precis": [1, 4, 11, 12], "ms_precis": [1, 9, 11, 12], "5e": [1, 9, 11, 12], "6": [1, 5, 9, 11, 12], "4": 1, "plot_layout": 1, "everyth": [1, 13], "up": [1, 8, 12], "1574": 1, "ms1_spectrum": 1, "measur": [1, 4, 9, 11, 12], "ad": [1, 9, 12], "trace": [1, 9], "opac": [1, 9], "raw": [1, 12, 14, 15], "seper": 1, "triangl": [1, 9], "By": 1, "therefor": [1, 8], "fit": [1, 5], "mass": [1, 6, 8, 12], "accuraci": 1, "rang": [1, 9, 12], "precursor_mz_calc": 1, "435": 1, "9102": 1, "max_intens": [1, 9], "theoret": [1, 12], "subplot": [1, 9], "y": 1, "ax": 1, "number": [1, 3, 5, 10, 11, 12, 13], "axi": 1, "same": [1, 12], "abov": [1, 5, 9, 12], "mz_rang": [1, 9, 12], "plot_num": [1, 9], "7": [1, 6], "437": 1, "3": [1, 6], "includ": [1, 12, 14], "well": 1, "contrast": [1, 9], "limit": [1, 9], "datapoint": [1, 9], "onli": [1, 6, 9, 13], "area": [1, 9], "depict": [1, 9], "xaxis2": 1, "autorang": 1, "ms2_spectrum": 1, "3542": 1, "theoretical_b_ion": 1, "b": [1, 10, 14], "sub": 1, "sup": 1, "126": 1, "0788": 1, "175": 1, "6130": 1, "233": 1, "1264": 1, "251": 1, "1503": 1, "297": 1, "6477": 1, "346": 1, "1741": 1, "350": 1, "2187": 1, "410": 1, "2034": 1, "465": 1, "2456": 1, "467": 1, "2249": 1, "9": [1, 5, 10, 14], "523": 1, "7669": 1, "10": [1, 5, 6, 12], "580": 1, "3089": 1, "594": 1, "2882": 1, "691": 1, "341": 1, "819": 1, "3995": 1, "933": 1, "4425": 1, "1046": 1, "5265": 1, "1159": 1, "6106": 1, "theoretical_y_ion": 1, "74": 1, "0600": 1, "130": 1, "6021": 1, "147": 1, "1128": 1, "187": 1, "1441": 1, "244": 1, "1656": 1, "260": 1, "1969": 1, "308": 1, "1949": 1, "356": 1, "7212": 1, "373": 1, "2809": 1, "421": 1, "2425": 1, "478": 1, "7560": 1, "487": 1, "3239": [1, 5], "528": 1, "2902": 1, "584": 1, "8322": 1, "615": 1, "3824": 1, "712": 1, "4352": 1, "841": 1, "4778": 1, "956": 1, "5047": 1, "1055": 1, "5732": 1, "1168": 1, "6572": [1, 5], "present": 1, "has_peak": [1, 12], "ion_list": 1, "label_list": 1, "_annot": 1, "highest_peak": [1, 12], "testscript": 1, "isol": 1, "intens": [1, 9, 12], "highest_i_dict": 1, "list": [1, 3, 9, 12, 13], "number_of_peaks_to_extract": 1, "mz": [1, 9, 12], "spectrum_id": 1, "highest_peak_list": 1, "assert": 1, "compare_spectra": 1, "cosin": [1, 12], "distanc": 1, "between": [1, 12, 13], "them": [1, 5], "repres": 1, "similar": [1, 12, 14], "tmp": 1, "lvl": 1, "ha": [1, 8, 11, 12, 14], "total": [1, 8, 12], "compare_tupl": 1, "4f": 1, "similarity_to": [1, 12], "score": 1, "against": 1, "itself": [1, 11], "func": 1, "mz_to_find": 1, "820": 1, "7711792": 1, "found_peak": 1, "extract_ion_chromatogram": 1, "xic": 1, "eic": 1, "all": [1, 6, 9, 10, 11, 12, 13, 15], "target": [1, 12], "time_dependent_intens": 1, "mz_2_follow": 1, "70": 1, "06575775": 1, "has_peak_match": 1, "ti": 1, "tmz": [1, 12], "3f": 1, "t": [1, 6], "13": 1, "get_precursor": 1, "most": 1, "often": 1, "exclus": 1, "further": [1, 5, 6, 8], "oper": 1, "itemgett": 1, "fragmented_precursor": 1, "selected_precursor": [1, 12], "none": [1, 3, 9, 11, 12, 13], "precursor_dict": 1, "precursor_mz": 1, "precursor_i": 1, "rounded_precursor_mz": 1, "round": [1, 12], "precursor_info_list": 1, "spectra_list": 1, "po": 1, "number_of_spectra": 1, "sort": 1, "revers": 1, "posit": [1, 8, 9], "neg": 1, "get_example_fil": [1, 8], "open_exampl": [1, 8], "small": [1, 5, 9], "pwiz": 1, "obo_vers": [1, 11, 12], "negative_polar": 1, "positive_polar": 1, "deprecation_check": 1, "highlight": 1, "chang": [1, 5, 11], "pleas": [1, 5, 6, 8, 12], "adjust": [1, 12], "ani": [1, 5, 14], "python3": [1, 6], "spectrum_list": 1, "haspeak": 1, "813": 1, "19073486": 1, "extremevalu": 1, "hasoverlappingpeak": 1, "highestpeak": 1, "estimatednoiselevel": 1, "removenois": 1, "transformmz": 1, "similarityto": 1, "gzip_mzml": 1, "out_path": 1, "plain": [1, 5], "output": [1, 9, 13], "util": [1, 4, 5, 7], "index_gzip": 1, "fin": 1, "seek": [1, 3, 4, 13], "max_offset_len": [1, 13], "tell": 1, "max_spec_no": 1, "max_idx": [1, 5, 13], "idx_len": 1, "multi_threading_file_compress": 1, "folder": [1, 15], "num_cpu": 1, "If": [1, 5, 6, 11, 12], "larger": 1, "than": [1, 5, 12], "actual": 1, "possibl": 1, "glob": 1, "multiprocess": 1, "max_cpu": 1, "cpu_count": 1, "mzml_job_list": 1, "exist": [1, 3], "skip": 1, "continu": 1, "compress": [1, 6, 13], "mp_pool": 1, "pool": 1, "result": [1, 13], "starmap": 1, "compress_fil": 1, "close": [1, 10], "done": [1, 13], "file_path": 1, "work": [1, 9, 10], "wrote": 1, "access_run_info": 1, "command": [1, 6], "file_nam": 1, "user": [1, 6, 13], "joe": 1, "dev": 1, "pymzml_2": 1, "file_object": 1, "file_interfac": [1, 3], "fileinterfac": [1, 3], "0x1039a3f28": 1, "offset_dict": 1, "run_id": 1, "ru_0": 1, "spectrum_count": 1, "1684": 1, "start_tim": 1, "2009": 1, "08": 1, "09t22": 1, "32": 1, "31": 1, "summari": [1, 4, 9], "wa": [1, 6, 12, 14], "own": [1, 2, 3, 4], "written": [1, 5, 13], "conncetor": 1, "request": 1, "process": [1, 8], "uniqu": [1, 13], "controllertyp": 1, "controllernumb": 1, "defaultarraylength": 1, "917": 1, "condit": [1, 13], "fileclass": [1, 13], "gsgw": [1, 5], "gsgr": [1, 3, 5], "index_moby_dick": 1, "read_moby_dick": 1, "write": [2, 4, 13], "igzip": [2, 4, 13], "file": [2, 4, 6, 7, 8, 9, 10, 11, 13], "seekabl": [2, 4, 6], "gzip": [2, 4, 6, 13, 14], "writer": [2, 4, 10, 11, 13], "practic": [2, 4], "mobi": [2, 4, 10], "dick": [2, 4, 10], "implement": [2, 3, 4, 13, 14], "class": [2, 4, 5, 8, 9, 11, 12, 13, 14], "script": [2, 4, 5, 8, 14], "offer": [3, 6, 12], "support": [3, 6, 9, 12], "wrapper": 3, "type": [3, 5, 9, 10, 11, 12, 13], "algorithm": 3, "explan": 3, "advanc": [3, 4], "section": [3, 8], "build_index_from_scratch": [3, 11], "index_regex": [3, 11, 14], "paramet": [3, 8, 9, 11, 12, 13], "nativ": [3, 11, 12], "associ": [3, 8, 13], "check": [3, 8, 10, 12, 13], "bool": [3, 9, 12, 13], "path_or_fil": [3, 11], "binari": [3, 13], "keyword": [3, 9, 11, 12, 13], "byte": [3, 5, 13, 14], "input": [3, 12, 13], "either": [3, 5, 12], "linear": [3, 9], "interpol": 3, "init": 3, "standard": [3, 6, 8, 12], "_binary_search": 3, "target_index": 3, "_build_index": 3, "from_scratch": 3, "A": [3, 6, 8, 10], "pointer": [3, 13], "particular": 3, "without": [3, 9, 12], "pars": [3, 4, 5, 6, 8, 11, 13], "entir": 3, "whether": [3, 13], "forc": 3, "scratch": 3, "content": [3, 13], "_build_index_from_scratch": 3, "seeker": 3, "_interpol_search": 3, "chunk_siz": 3, "fallback_cutoff": 3, "100": 3, "find": [3, 12], "faster": 3, "go": [3, 5], "kb": 3, "_read_extrem": 3, "min": [3, 9, 12], "max": [3, 9, 12, 13], "tupl": [3, 9, 12], "spec_id": 3, "file_offset": 3, "seek_list": 3, "_search_linear": 3, "fallback": 3, "fail": 3, "tree": [3, 12], "cant": 3, "introduct": 4, "inform": [4, 5, 8, 9, 11, 12], "download": 4, "citat": 4, "instal": [4, 9], "contribut": 4, "conduct": 4, "quick": 4, "regular": [4, 10], "express": [4, 10], "modul": [4, 5, 6], "interfac": [4, 7, 9, 14], "plot": [4, 6, 7], "obo": [4, 7, 10, 11, 12], "parser": [4, 6, 7], "regex": [4, 6, 7, 14], "supplement": 4, "materi": 4, "benchmark": 4, "page": 4, "featur": [5, 6, 14], "abil": [5, 14], "easili": [5, 8], "convert": [5, 8, 12, 13], "howev": [5, 6, 9, 11, 12], "two": [5, 12], "have": [5, 6, 9, 13, 14], "been": [5, 8, 9, 11, 13], "introduc": [5, 6], "refer": [5, 6, 8, 12], "To": [5, 6, 9, 12], "utilz": 5, "simpli": 5, "blockwis": 5, "everi": [5, 9, 12], "piec": 5, "should": [5, 9, 12], "integ": [5, 12, 14], "below": 5, "chapter": [5, 10], "its": [5, 12], "correspond": [5, 9, 12], "index_by_chapt": 5, "txt": [5, 6], "while": 5, "chapter_start": 5, "regex_pattern": [5, 10], "moby_dick_chapter_pattern": [5, 10], "general_seekable_gzip_writ": 5, "moby_dick_index": 5, "50": 5, "max_idx_len": [5, 13], "output_path": [5, 13], "index_writ": 5, "current_chapt": 5, "re": [5, 10, 14], "current_chapter_numb": 5, "group": [5, 6, 14], "add_data": [5, 13], "write_index": [5, 13], "conveni": 5, "bracket": 5, "notat": 5, "my_read": 5, "chap_num": 5, "": [5, 6, 10, 12], "took": 5, "5f": 5, "read_block": [5, 13], "fieldentri": 5, "more": [5, 12], "indic": [5, 13], "capit": 5, "arbitrari": 5, "see": [5, 13], "http": [5, 6, 9, 15], "tool": [5, 6], "ietf": 5, "org": [5, 6], "rfc1952": 5, "id1": 5, "id2": 5, "cm": 5, "flg": 5, "mtime": 5, "x4": 5, "xfl": 5, "block": [5, 13], "crc32": 5, "isiz": 5, "comment": [5, 10, 13], "flag": [5, 13], "addit": [5, 8], "headerfield": 5, "activ": 5, "zero": 5, "termin": 5, "xx": 5, "field": [5, 13], "uniq": 5, "length": [5, 10, 13], "describ": [5, 8], "idxlen": 5, "offsetlen": 5, "x00": 5, "along": 5, "maxim": [5, 13], "pair": [5, 12], "00000000": 5, "1f8b": 5, "0810": 5, "ea57": 5, "4f5a": 5, "0203": 5, "4655": 5, "0109": 5, "06ac": 5, "4368": 5, "6170": 5, "7465": 5, "7230": 5, "woz": 5, "fu": 5, "chapter0": 5, "00000018": 5, "acac": 5, "ac36": 5, "3436": 5, "ac43": 5, "6861": 5, "7074": 5, "31ac": 5, "3136": 5, "3033": 5, "32ac": 5, "646": 5, "chapter1": 5, "16032": 5, "ch": 5, "00000030": 5, "7232": 5, "ac32": 5, "3137": 5, "3831": 5, "33ac": 5, "3235": 5, "apter2": 5, "21781": 5, "chapter3": 5, "00000048": 5, "3534": 5, "37ac": 5, "7234": 5, "ac33": 5, "3932": 5, "547": 5, "chapter4": 5, "39246": 5, "chapt": 5, "00000060": 5, "35ac": 5, "3433": 5, "3435": 5, "38ac": 5, "7236": 5, "ac34": 5, "3535": 5, "3437": 5, "er5": 5, "43458": 5, "chapter6": 5, "45547": 5, "00000078": 5, "3936": 5, "39ac": 5, "7238": 5, "chapter7": 5, "47969": 5, "chapter8": 5, "00000090": 5, "ac35": 5, "3037": 5, "3533": 5, "3943": 5, "50703": 5, "chapter9": 5, "53299cha": 5, "000000a8": 5, "3130": 5, "3230": 5, "3138": 5, "7231": 5, "3636": 5, "pter10": 5, "62018chapter11": 5, "66": 5, "000000c0": 5, "3032": 5, "3843": 5, "3132": 5, "3739": 5, "3536": 5, "028chapter12": 5, "67956chapt": 5, "000000d8": 5, "3730": 5, "3333": 5, "3043": 5, "3134": 5, "ac37": 5, "3438": 5, "3331": 5, "r13": 5, "70330chapter14": 5, "74831": 5, "000000f0": 5, "3736": 5, "3938": 5, "3443": 5, "chapter15": 5, "76984chapter16": 5, "00000108": 5, "ac38": 5, "3030": 5, "3937": 5, "3933": 5, "3743": 5, "80097chapter17": 5, "93147cha": 5, "00000120": 5, "ac39": 5, "3838": 5, "3931": 5, "pter18": 5, "98854chapter19102": 5, "00000138": 5, "3430": 5, "3343": 5, "403chapter20105392chapt": 5, "00000150": 5, "3131": 5, "3232": 5, "r21107790chapter22110722": 5, "00000168": 5, "3143": 5, "3234": 5, "chapter23114961chapter24": 5, "00000180": 5, "3631": 5, "3531": 5, "3731": 5, "116114chapter25120719cha": 5, "00000198": 5, "3236": 5, "3135": 5, "3633": 5, "pter26121563chapter27124": 5, "000001b0": 5, "3839": 5, "3238": 5, "893chapter28129318chapt": 5, "000001c8": 5, "3330": 5, "3133": 5, "r29133148chapter30136346": 5, "000001e0": 5, "7233": 5, "3337": 5, "3332": 5, "chapter31137200chapter32": 5, "000001f8": 5, "3532": 5, "3031": 5, "139317chapter33152017cha": 5, "00000210": 5, "3334": 5, "3635": 5, "3630": 5, "pter34154765chapter35160": 5, "00000228": 5, "3336": 5, "3732": 5, "567chapter36167276chapt": 5, "00000240": 5, "3734": 5, "3530": 5, "3243": 5, "3338": 5, "r37174502chapter38176030": 5, "00000258": 5, "3737": 5, "chapter39177200chapter40": 5, "00000270": 5, "3830": 5, "3832": 5, "3900": 5, "igz": [5, 15], "header": [5, 13], "explain": 5, "f": 5, "u": 5, "idx": 5, "map": 5, "until": [5, 10], "celementtre": 6, "copyright": 6, "2010": 6, "2021": 6, "m": [6, 9, 11, 12, 14], "k\u00f6ster": 6, "j": 6, "leufken": 6, "bald": 6, "niehu": 6, "schulz": 6, "sugimoto": 6, "zahedi": 6, "hippler": 6, "leidel": 6, "c": 6, "fufezan": 6, "dr": 6, "christian": 6, "leader": 6, "experiment": 6, "bioinformat": 6, "cellzom": 6, "gmbh": 6, "d": [6, 10], "platform": 6, "technologi": 6, "scienc": 6, "gsk": 6, "germani": 6, "email": 6, "net": 6, "extens": 6, "easi": 6, "spectrometri": [6, 8, 12], "rapid": 6, "develop": [6, 11], "veri": 6, "fast": [6, 11], "compar": [6, 12], "handl": [6, 12], "interact": [6, 9], "visual": [6, 9], "freeli": 6, "avail": [6, 12], "github": 6, "com": [6, 15], "pypi": 6, "publish": 6, "under": 6, "mit": 6, "licens": 6, "numpi": [6, 12], "sever": [6, 8, 9], "depend": [6, 12], "extend": 6, "deconvolut": 6, "get": [6, 12, 14], "latest": 6, "complet": 6, "document": 6, "pdf": [6, 9], "dist": 6, "klein": 6, "v2": 6, "highli": 6, "doi": 6, "1093": 6, "bty046": 6, "higher": 6, "consid": [6, 9, 12], "virtual": 6, "environ": 6, "recommend": [6, 12], "zip": 6, "clone": 6, "repositori": 6, "localhost": 6, "git": 6, "cd": 6, "pip": 6, "setup": 6, "pynumpress": 6, "ms_deisotop": 6, "full": 6, "troubl": 6, "separ": 6, "sinc": [6, 9], "window": 6, "sdk7": 6, "prompt": 6, "assur": 6, "correct": 6, "compil": [6, 10, 14], "packag": 6, "tox": 6, "guidelin": 6, "project": 6, "maintain": 6, "commun": 6, "establish": 6, "facilit": 6, "inclus": 6, "contributor": 6, "memeb": 6, "jan": 6, "01": 6, "2023": 6, "librari": 8, "design": [8, 11], "xxxxx": 8, "appropri": 8, "name": [8, 9, 12], "minim": [8, 12], "queri": [8, 14], "translat": 8, "intern": [8, 12], "xxxxxxx": 8, "dictionari": [8, 9, 12], "ot": 8, "1000127": 8, "1000465": 8, "polar": 8, "1000130": 8, "relationship": 8, "part_of": 8, "0000000": 8, "proteom": 8, "ontologi": 8, "1000441": 8, "spectromet": 8, "record": 8, "unit": [8, 12], "1000460": 8, "come": 8, "example_script": 8, "common": 8, "thei": 8, "dta_exampl": 8, "msrun": 8, "fetch": 8, "imform": 8, "ion": [8, 12], "furthermor": 8, "presenc": 8, "proprti": 8, "differenti": 8, "hcd": 8, "cid": 8, "fraction": 8, "spctrum": 8, "collis": 8, "induc": 8, "dissoci": 8, "high": 8, "energi": 8, "hold": [9, 12], "plotli": 9, "export": 9, "json": 9, "z": [9, 12], "profil": [9, 12], "ly": 9, "spectrum_plot": 9, "int_rang": 9, "dash": 9, "solid": 9, "graph": 9, "must": [9, 13], "maximum": [9, 12], "except": 9, "hoverinfo": 9, "mz1": 9, "mz2": 9, "spline": 9, "rgb": 9, "point": [9, 10], "vertic": 9, "peak": [9, 12], "micro": 9, "tini": 9, "medium": 9, "big": 9, "top": 9, "width": 9, "he": 9, "hover": 9, "info": 9, "bottom": 9, "boundari": 9, "float": [9, 12], "longdash": 9, "dot": 9, "dashdot": 9, "longdashdot": 9, "legend": 9, "still": [9, 11], "seen": 9, "out": [9, 12], "get_data": 9, "compat": [9, 11], "dict": [9, 11, 12, 13], "about": 9, "mani": 9, "dataset": 9, "per": 9, "newplot": 9, "deprec": 9, "put": 9, "grid": 9, "figur": 9, "old": [9, 11, 14], "syntax": [9, 11, 14], "write_pdf": 9, "plotfactori": 9, "unix": 9, "system": 9, "orca": 9, "appli": 9, "overwritten": 9, "avoid": 9, "host": 10, "central": 10, "catch": 10, "mayb": 10, "stuff": 10, "chromatogram_and_spectrum_pattern_with_id": 10, "sdefaultarraylength": 10, "combin": 10, "chromatogram_close_pattern": 10, "chromatogram_id_pattern": 10, "chromatogram_pattern": 10, "again": 10, "file_encoding_pattern": 10, "za": 10, "z0": 10, "gezip": 10, "sim_index_pattern": 10, "idref": [10, 14], "nativeid": [10, 11], "sim": 10, "spectrum_close_pattern": 10, "spectrum_id_pattern2": 10, "scanid": 10, "simplifi": 10, "greedli": 10, "spectrum_index_pattern": 10, "last": [10, 11, 12], "demo": 10, "spectrum_open_pattern": 10, "specturm": 10, "arrai": [10, 12], "spectrum_tag_pattern": 10, "extract": 11, "expos": 11, "necessari": 11, "thu": 11, "loop": 11, "over": [11, 12], "classic": 11, "pythonian": 11, "addition": 11, "truncat": 11, "convers": 11, "program": 11, "skip_chromatogram": 11, "kwarg": 11, "20e": [11, 12], "specifi": 11, "msn": 11, "ms1_precis": [11, 12], "get_chromatogram_count": 11, "charg": 12, "decod": 12, "perform": 12, "demand": 12, "There": 12, "creat": [12, 13, 14], "setter": 12, "measured_precis": 12, "06": 12, "inherit": 12, "ppm": 12, "equal": 12, "__add__": 12, "other_spec": 12, "measuredprescis": 12, "file_to_read": 12, "mzml_example_fil": 12, "xy": 12, "msn_precis": 12, "__sub__": 12, "subtract": 12, "__mul__": 12, "multipli": 12, "scale": 12, "were": [12, 15], "__truediv__": 12, "divid": 12, "estimated_noise_level": 12, "mode": [12, 13, 15], "median": 12, "calcul": 12, "nois": 12, "threshold": 12, "remove_nois": 12, "remov": 12, "mean": 12, "mad": 12, "estim": 12, "noise_level": 12, "extreme_valu": 12, "extrem": 12, "extrema": 12, "acc": 12, "mimic": 12, "has_overlapping_peak": 12, "within": 12, "nearbi": 12, "otherwis": 12, "boolean": 12, "mz2find": 12, "certain": 12, "mai": 12, "peak_to_find": 12, "1016": 12, "5404": 12, "19141": 12, "735187697403": 12, "highest": 12, "1770": 12, "_decod": 12, "id_dict": 12, "entri": 12, "necessarili": 12, "peak_typ": 12, "reprofil": 12, "ndarrai": 12, "ppm2ab": 12, "ppm_valu": 12, "direct": 12, "factor": 12, "plu": 12, "minu": 12, "error": 12, "imprecis": 12, "bigger": 12, "precursor": 12, "rtype": 12, "reduc": 12, "signal_to_noise_threshold": 12, "do": 12, "assum": 12, "correctli": 12, "unicorn": 12, "case": 12, "scan_time_unit": 12, "minut": 12, "set_peak": 12, "assign": 12, "spec2": 12, "round_precis": 12, "transform": 12, "dimension": 12, "vector": 12, "Then": 12, "those": 12, "closer": 12, "t_mz_set": 12, "acceler": 12, "transform_mz": 12, "task": 12, "invok": 12, "probe": 12, "has_deconvoluted_peak": 12, "1044": 12, "5804": 12, "5596": 12, "3809": 12, "4356300564586": 12, "transformed_mz_with_error": 12, "z_with_error": 12, "transformed_peak": 12, "isinst": 12, "get_element_by_nam": 12, "origin": [12, 14], "get_element_by_path": 12, "hook": 12, "parent": 12, "cvparam": 12, "scanwindow": 12, "scanlist": 12, "scanwindowlist": 12, "latin": 12, "represent": 12, "altern": [12, 14], "dat": 13, "comp_str": 13, "_allocate_index_byt": 13, "alloc": 13, "max_index_num": 13, "later": 13, "_write_data": 13, "stream": 13, "uncompress": [13, 14], "_write_gen_head": 13, "ftext": 13, "fhcrc": 13, "fextra": 13, "fname": 13, "_write_identifi": 13, "_write_offset": 13, "member": 13, "file_out": 13, "call": [13, 14], "back": 13, "begin": 13, "enabl": 13, "_check_magic_byt": 13, "_read_basic_head": 13, "bitflag": 13, "changetim": 13, "speed": 13, "_read_index": 13, "filein": 13, "magic": 14, "rapidli": 14, "matter": 14, "spectrum_with_id_2540": 14, "2540": 14, "wich": 14, "sai": 14, "manuels_customs_id": 14, "manuelscustomid": 14, "diesda": 14, "4026": 14, "index_r": 14, "your_file_path": 14, "spec_1": 14, "awar": 14, "sampl": 15, "tmt": 15, "coli": 15, "cell": 15, "human": 15, "background": 15, "instrument": 15, "orbitrap": 15, "lumo": 15, "hf": 15, "dda": 15, "machin": 15, "p0109699e18": 15, "p0109699e19": 15, "p0109699e22": 15, "p0174319b7": 15, "p0174319b8": 15, "p0174319b9": 15, "p0109699k8": 15, "p0109699k9": 15, "p0109699k10": 15, "orbielit": 15, "p81464g09": 15, "p81464g10": 15, "acces": 15, "pride": 15, "tba": 15, "paper": 15, "drive": 15, "googl": 15, "1gbn0caqiyaeljcuooykkqw4rcklolc5n": 15}, "objects": {"access_run_info": [[1, 0, 1, "", "main"]], "compare_spectra": [[1, 0, 1, "", "main"]], "deprecation_check": [[1, 0, 1, "", "main"]], "extract_ion_chromatogram": [[1, 0, 1, "", "main"]], "get_precursors": [[1, 0, 1, "", "main"]], "gzip_mzml": [[1, 0, 1, "", "main"]], "has_peak": [[1, 0, 1, "", "main"]], "highest_peaks": [[1, 0, 1, "", "main"]], "multi_threading_file_compression": [[1, 0, 1, "", "main"]], "plot_chromatogram": [[1, 0, 1, "", "main"]], "plot_spectrum": [[1, 0, 1, "", "main"]], "plot_spectrum_with_annotation": [[1, 0, 1, "", "main"]], "polarity": [[1, 0, 1, "", "main"]], "pymzml.file_classes.indexedGzip": [[3, 1, 1, "", "IndexedGzip"]], "pymzml.file_classes.indexedGzip.IndexedGzip": [[3, 2, 1, "", "__getitem__"], [3, 2, 1, "", "__init__"], [3, 2, 1, "", "_build_index"], [3, 2, 1, "", "read"]], "pymzml.file_classes.standardGzip": [[3, 1, 1, "", "StandardGzip"]], "pymzml.file_classes.standardGzip.StandardGzip": [[3, 2, 1, "", "__getitem__"], [3, 2, 1, "", "__init__"], [3, 2, 1, "", "_build_index"], [3, 2, 1, "", "read"]], "pymzml.file_classes.standardMzml": [[3, 1, 1, "", "StandardMzml"]], "pymzml.file_classes.standardMzml.StandardMzml": [[3, 2, 1, "", "__getitem__"], [3, 2, 1, "", "__init__"], [3, 2, 1, "", "_binary_search"], [3, 2, 1, "", "_build_index"], [3, 2, 1, "", "_build_index_from_scratch"], [3, 2, 1, "", "_interpol_search"], [3, 2, 1, "", "_read_extremes"], [3, 2, 1, "", "_search_linear"], [3, 2, 1, "", "read"]], "pymzml.file_interface": [[3, 1, 1, "", "FileInterface"]], "pymzml.file_interface.FileInterface": [[3, 2, 1, "", "__getitem__"], [3, 2, 1, "", "__init__"], [3, 2, 1, "", "_indexed_gzip"], [3, 2, 1, "", "_open"], [3, 2, 1, "", "read"]], "pymzml": [[8, 3, 0, "-", "obo"], [9, 3, 0, "-", "plot"], [10, 3, 0, "-", "regex_patterns"], [11, 3, 0, "-", "run"], [12, 3, 0, "-", "spec"]], "pymzml.plot": [[9, 1, 1, "", "Factory"]], "pymzml.plot.Factory": [[9, 2, 1, "", "__init__"], [9, 2, 1, "", "add"], [9, 2, 1, "", "get_data"], [9, 2, 1, "", "info"], [9, 2, 1, "", "newPlot"], [9, 2, 1, "", "new_plot"], [9, 2, 1, "", "save"]], "pymzml.regex_patterns": [[10, 4, 1, "", "CHROMATOGRAM_AND_SPECTRUM_PATTERN_WITH_ID"], [10, 4, 1, "", "CHROMATOGRAM_CLOSE_PATTERN"], [10, 4, 1, "", "CHROMATOGRAM_ID_PATTERN"], [10, 4, 1, "", "CHROMATOGRAM_PATTERN"], [10, 4, 1, "", "FILE_ENCODING_PATTERN"], [10, 4, 1, "", "MOBY_DICK_CHAPTER_PATTERN"], [10, 4, 1, "", "SIM_INDEX_PATTERN"], [10, 4, 1, "", "SPECTRUM_CLOSE_PATTERN"], [10, 4, 1, "", "SPECTRUM_ID_PATTERN2"], [10, 4, 1, "", "SPECTRUM_INDEX_PATTERN"], [10, 4, 1, "", "SPECTRUM_OPEN_PATTERN"], [10, 4, 1, "", "SPECTRUM_TAG_PATTERN"]], "pymzml.run": [[11, 1, 1, "", "Reader"]], "pymzml.run.Reader": [[11, 2, 1, "", "__getitem__"], [11, 5, 1, "", "file_class"], [11, 2, 1, "", "get_chromatogram_count"], [11, 2, 1, "", "get_spectrum_count"], [11, 2, 1, "", "next"]], "pymzml.spec": [[12, 1, 1, "", "Chromatogram"], [12, 1, 1, "", "MS_Spectrum"], [12, 1, 1, "", "Spectrum"]], "pymzml.spec.Chromatogram": [[12, 2, 1, "", "peaks"], [12, 5, 1, "", "profile"], [12, 5, 1, "", "time"]], "pymzml.spec.MS_Spectrum": [[12, 2, 1, "", "get_element_by_name"], [12, 2, 1, "", "get_element_by_path"], [12, 5, 1, "", "measured_precision"], [12, 2, 1, "", "to_string"]], "pymzml.spec.Spectrum": [[12, 5, 1, "", "ID"], [12, 5, 1, "", "TIC"], [12, 2, 1, "", "__add__"], [12, 2, 1, "", "__getitem__"], [12, 2, 1, "", "__mul__"], [12, 2, 1, "", "__sub__"], [12, 2, 1, "", "__truediv__"], [12, 2, 1, "", "estimated_noise_level"], [12, 2, 1, "", "extreme_values"], [12, 2, 1, "", "get"], [12, 2, 1, "", "has_overlapping_peak"], [12, 2, 1, "", "has_peak"], [12, 2, 1, "", "highest_peaks"], [12, 5, 1, "", "i"], [12, 5, 1, "", "id_dict"], [12, 5, 1, "", "index"], [12, 5, 1, "", "measured_precision"], [12, 5, 1, "", "ms_level"], [12, 5, 1, "", "mz"], [12, 2, 1, "", "peaks"], [12, 2, 1, "", "ppm2abs"], [12, 5, 1, "", "precursors"], [12, 2, 1, "", "reduce"], [12, 2, 1, "", "remove_noise"], [12, 5, 1, "", "scan_time"], [12, 2, 1, "", "scan_time_in_minutes"], [12, 5, 1, "", "selected_precursors"], [12, 2, 1, "", "set_peaks"], [12, 2, 1, "", "similarity_to"], [12, 5, 1, "", "t_mz_set"], [12, 2, 1, "", "transform_mz"], [12, 5, 1, "", "transformed_mz_with_error"], [12, 5, 1, "", "transformed_peaks"]], "pymzml.utils.GSGR": [[13, 1, 1, "", "GSGR"]], "pymzml.utils.GSGR.GSGR": [[13, 2, 1, "", "_check_magic_bytes"], [13, 2, 1, "", "_read_basic_header"], [13, 2, 1, "", "_read_index"], [13, 2, 1, "", "read"], [13, 2, 1, "", "read_block"], [13, 2, 1, "", "seek"]], "pymzml.utils.GSGW": [[13, 1, 1, "", "GSGW"]], "pymzml.utils.GSGW.GSGW": [[13, 2, 1, "", "_allocate_index_bytes"], [13, 2, 1, "", "_write_data"], [13, 2, 1, "", "_write_gen_header"], [13, 2, 1, "", "_write_identifier"], [13, 2, 1, "", "_write_offset"], [13, 2, 1, "", "add_data"], [13, 5, 1, "", "encoding"], [13, 5, 1, "", "file_out"], [13, 2, 1, "", "write_index"]], "queryOBO": [[1, 0, 1, "", "main"]], "simple_parser": [[1, 0, 1, "", "main"]], "simple_parser_v2": [[1, 0, 1, "", "main"]]}, "objtypes": {"0": "py:function", "1": "py:class", "2": "py:method", "3": "py:module", "4": "py:data", "5": "py:property"}, "objnames": {"0": ["py", "function", "Python function"], "1": ["py", "class", "Python class"], "2": ["py", "method", "Python method"], "3": ["py", "module", "Python module"], "4": ["py", "data", "Python data"], "5": ["py", "property", "Python property"]}, "titleterms": {"implement": [0, 1, 6], "an": 0, "own": 0, "file": [0, 1, 3, 5, 14, 15], "class": [0, 1, 3], "creat": [0, 1, 5], "wrapper": 0, "enabl": [0, 1], "exampl": [1, 2, 5], "script": 1, "pars": [1, 14], "mzml": [1, 3, 14], "new": 1, "syntax": 1, "old": 1, "queri": 1, "obo": [1, 8], "plot": [1, 9], "chromatogram": [1, 12], "spectrum": [1, 12], "annot": 1, "extract": 1, "highest": 1, "peak": 1, "compar": 1, "spectra": 1, "find": 1, "m": [1, 8], "z": 1, "valu": 1, "ion": 1, "abund": 1, "precursor": 1, "access": [1, 3, 5, 8], "polar": 1, "check": 1, "function": [1, 9], "name": 1, "map": 1, "convert": 1, "gz": 1, "igzip": [1, 3, 5], "multi": 1, "thread": 1, "convers": 1, "acc": 1, "run": 1, "info": 1, "custom": [1, 14], "filehandl": 1, "introduct": [1, 6], "api": 1, "interfac": [1, 3, 11], "mobi": [1, 5], "dick": [1, 5], "index": [1, 5], "gzip": [1, 3, 5], "advanc": 2, "usag": 2, "welcom": 4, "pymzml": [4, 7], "": 4, "document": 4, "content": [4, 7], "indic": [4, 14], "tabl": 4, "write": 5, "read": [5, 14], "gener": [5, 6], "seekabl": 5, "writer": 5, "reader": [5, 11], "practic": 5, "compress": 5, "data": 5, "format": 5, "specif": [5, 8], "inform": 6, "contact": 6, "summari": 6, "download": 6, "citat": 6, "instal": 6, "test": 6, "contribut": 6, "code": 6, "conduct": 6, "modul": 7, "parser": 8, "tag": 8, "regex": 10, "pattern": 10, "main": 11, "ms_spectrum": 12, "util": 13, "gsgw": 13, "gsgr": 13, "quick": 14, "start": 14, "set": 14, "measur": 14, "precis": 14, "seek": 14, "regular": 14, "express": 14, "supplement": 15, "materi": 15, "benchmark": 15}, "envversion": {"sphinx.domains.c": 2, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 8, "sphinx.domains.index": 1, "sphinx.domains.javascript": 2, "sphinx.domains.math": 2, "sphinx.domains.python": 3, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx.ext.viewcode": 1, "sphinx": 57}, "alltitles": {"Implementing an own file class": [[0, "implementing-an-own-file-class"]], "Creating the wrapper": [[0, "creating-the-wrapper"]], "Enabling the wrapper": [[0, "enabling-the-wrapper"]], "Example Scripts": [[1, "example-scripts"]], "Parsing a mzML file (new syntax)": [[1, "parsing-a-mzml-file-new-syntax"]], "Parsing a mzML file (old syntax)": [[1, "parsing-a-mzml-file-old-syntax"]], "Query the obo files": [[1, "query-the-obo-files"]], "Plotting a chromatogram": [[1, "plotting-a-chromatogram"]], "Plotting a spectrum": [[1, "plotting-a-spectrum"]], "Plotting a spectrum with annotation": [[1, "plotting-a-spectrum-with-annotation"]], "Extracting highest peaks": [[1, "extracting-highest-peaks"]], "Compare spectra": [[1, "compare-spectra"]], "Find m/z values": [[1, "find-m-z-values"]], "Extract ion chromatogram": [[1, "extract-ion-chromatogram"]], "Find abundant precursors": [[1, "find-abundant-precursors"]], "Access polarity of spectra": [[1, "access-polarity-of-spectra"]], "Check old to new function name mapping": [[1, "check-old-to-new-function-name-mapping"]], "Convert mzML(.gz) to mzML.gz (igzip)": [[1, "convert-mzml-gz-to-mzml-gz-igzip"]], "Multi threading conversion of mzML(.gz) to mzML.gz (igzip)": [[1, "multi-threading-conversion-of-mzml-gz-to-mzml-gz-igzip"]], "Acces run infos": [[1, "acces-run-infos"]], "Creating a custom Filehandler": [[1, "creating-a-custom-filehandler"]], "Introduction": [[1, "introduction"], [6, "introduction"]], "Implementation of the API Class": [[1, "implementation-of-the-api-class"]], "Enabling the new API Class in File Interface": [[1, "enabling-the-new-api-class-in-file-interface"]], "Moby Dick as indexed Gzip": [[1, "moby-dick-as-indexed-gzip"]], "Examples and Advanced Usage": [[2, "examples-and-advanced-usage"]], "File Access": [[3, "file-access"]], "File Interface": [[3, "file-interface"]], "File Classes": [[3, "file-classes"]], "mzML": [[3, "mzml"]], "Gzip": [[3, "gzip"]], "iGzip": [[3, "igzip"]], "Welcome to pymzML\u2019s documentation!": [[4, "welcome-to-pymzml-s-documentation"]], "Contents": [[4, "contents"]], "Indices and tables": [[4, "indices-and-tables"]], "Writing and Reading igzip files": [[5, "writing-and-reading-igzip-files"]], "Generalized Seekable index Gzip Writer": [[5, "generalized-seekable-index-gzip-writer"]], "Generalized Seekable index Gzip Reader": [[5, "generalized-seekable-index-gzip-reader"]], "Practical Example: Moby Dick": [[5, "practical-example-moby-dick"]], "Creating the compressed file": [[5, "creating-the-compressed-file"]], "Accessing the data": [[5, "accessing-the-data"]], "igzip file format specification": [[5, "igzip-file-format-specification"]], "General information": [[6, "general-information"]], "Contact information": [[6, "contact-information"]], "Summary": [[6, "summary"]], "Implementation": [[6, "implementation"]], "Download": [[6, "download"]], "Citation": [[6, "citation"]], "Installation": [[6, "installation"]], "Testing": [[6, "testing"]], "Contributing": [[6, "contributing"]], "Code of Conduct": [[6, "code-of-conduct"]], "pymzML module content": [[7, "pymzml-module-content"]], "OBO parser": [[8, "module-pymzml.obo"]], "Accessing specific OBO MS tags": [[8, "accessing-specific-obo-ms-tags"]], "Plotting functions": [[9, "module-pymzml.plot"]], "Regex patterns": [[10, "regex-patterns"]], "Main reader interface": [[11, "module-pymzml.run"]], "Spectrum and Chromatogram": [[12, "module-pymzml.spec"]], "Spectrum": [[12, "spectrum"]], "Chromatogram": [[12, "chromatogram"]], "MS_Spectrum": [[12, "ms-spectrum"]], "Utils": [[13, "utils"]], "GSGW": [[13, "gsgw"]], "GSGR": [[13, "gsgr"]], "Quick Start": [[14, "quick-start"]], "Parsing a mzML file and setting measured precision": [[14, "parsing-a-mzml-file-and-setting-measured-precision"]], "Seeking in a mzML file": [[14, "seeking-in-a-mzml-file"]], "Reading mzML indices with a custom regular expression": [[14, "reading-mzml-indices-with-a-custom-regular-expression"]], "Supplemental Material": [[15, "supplemental-material"]], "Benchmark Files": [[15, "benchmark-files"]]}, "indexentries": {"main() (in module access_run_info)": [[1, "access_run_info.main"]], "main() (in module compare_spectra)": [[1, "compare_spectra.main"]], "main() (in module deprecation_check)": [[1, "deprecation_check.main"]], "main() (in module extract_ion_chromatogram)": [[1, "extract_ion_chromatogram.main"]], "main() (in module get_precursors)": [[1, "get_precursors.main"]], "main() (in module gzip_mzml)": [[1, "gzip_mzml.main"]], "main() (in module has_peak)": [[1, "has_peak.main"]], "main() (in module highest_peaks)": [[1, "highest_peaks.main"]], "main() (in module multi_threading_file_compression)": [[1, "multi_threading_file_compression.main"]], "main() (in module plot_chromatogram)": [[1, "plot_chromatogram.main"]], "main() (in module plot_spectrum)": [[1, "plot_spectrum.main"]], "main() (in module plot_spectrum_with_annotation)": [[1, "plot_spectrum_with_annotation.main"]], "main() (in module polarity)": [[1, "polarity.main"]], "main() (in module queryobo)": [[1, "queryOBO.main"]], "main() (in module simple_parser)": [[1, "simple_parser.main"]], "main() (in module simple_parser_v2)": [[1, "simple_parser_v2.main"]], "fileinterface (class in pymzml.file_interface)": [[3, "pymzml.file_interface.FileInterface"]], "indexedgzip (class in pymzml.file_classes.indexedgzip)": [[3, "pymzml.file_classes.indexedGzip.IndexedGzip"]], "standardgzip (class in pymzml.file_classes.standardgzip)": [[3, "pymzml.file_classes.standardGzip.StandardGzip"]], "standardmzml (class in pymzml.file_classes.standardmzml)": [[3, "pymzml.file_classes.standardMzml.StandardMzml"]], "__getitem__() (pymzml.file_classes.indexedgzip.indexedgzip method)": [[3, "pymzml.file_classes.indexedGzip.IndexedGzip.__getitem__"]], "__getitem__() (pymzml.file_classes.standardgzip.standardgzip method)": [[3, "pymzml.file_classes.standardGzip.StandardGzip.__getitem__"]], "__getitem__() (pymzml.file_classes.standardmzml.standardmzml method)": [[3, "pymzml.file_classes.standardMzml.StandardMzml.__getitem__"]], "__getitem__() (pymzml.file_interface.fileinterface method)": [[3, "pymzml.file_interface.FileInterface.__getitem__"]], "__init__() (pymzml.file_classes.indexedgzip.indexedgzip method)": [[3, "pymzml.file_classes.indexedGzip.IndexedGzip.__init__"]], "__init__() (pymzml.file_classes.standardgzip.standardgzip method)": [[3, "pymzml.file_classes.standardGzip.StandardGzip.__init__"]], "__init__() (pymzml.file_classes.standardmzml.standardmzml method)": [[3, "pymzml.file_classes.standardMzml.StandardMzml.__init__"]], "__init__() (pymzml.file_interface.fileinterface method)": [[3, "pymzml.file_interface.FileInterface.__init__"]], "_binary_search() (pymzml.file_classes.standardmzml.standardmzml method)": [[3, "pymzml.file_classes.standardMzml.StandardMzml._binary_search"]], "_build_index() (pymzml.file_classes.indexedgzip.indexedgzip method)": [[3, "pymzml.file_classes.indexedGzip.IndexedGzip._build_index"]], "_build_index() (pymzml.file_classes.standardgzip.standardgzip method)": [[3, "pymzml.file_classes.standardGzip.StandardGzip._build_index"]], "_build_index() (pymzml.file_classes.standardmzml.standardmzml method)": [[3, "pymzml.file_classes.standardMzml.StandardMzml._build_index"]], "_build_index_from_scratch() (pymzml.file_classes.standardmzml.standardmzml method)": [[3, "pymzml.file_classes.standardMzml.StandardMzml._build_index_from_scratch"]], "_indexed_gzip() (pymzml.file_interface.fileinterface method)": [[3, "pymzml.file_interface.FileInterface._indexed_gzip"]], "_interpol_search() (pymzml.file_classes.standardmzml.standardmzml method)": [[3, "pymzml.file_classes.standardMzml.StandardMzml._interpol_search"]], "_open() (pymzml.file_interface.fileinterface method)": [[3, "pymzml.file_interface.FileInterface._open"]], "_read_extremes() (pymzml.file_classes.standardmzml.standardmzml method)": [[3, "pymzml.file_classes.standardMzml.StandardMzml._read_extremes"]], "_search_linear() (pymzml.file_classes.standardmzml.standardmzml method)": [[3, "pymzml.file_classes.standardMzml.StandardMzml._search_linear"]], "read() (pymzml.file_classes.indexedgzip.indexedgzip method)": [[3, "pymzml.file_classes.indexedGzip.IndexedGzip.read"]], "read() (pymzml.file_classes.standardgzip.standardgzip method)": [[3, "pymzml.file_classes.standardGzip.StandardGzip.read"]], "read() (pymzml.file_classes.standardmzml.standardmzml method)": [[3, "pymzml.file_classes.standardMzml.StandardMzml.read"]], "read() (pymzml.file_interface.fileinterface method)": [[3, "pymzml.file_interface.FileInterface.read"]], "module": [[8, "module-pymzml.obo"], [9, "module-pymzml.plot"], [10, "module-pymzml.regex_patterns"], [11, "module-pymzml.run"], [12, "module-pymzml.spec"]], "pymzml.obo": [[8, "module-pymzml.obo"]], "factory (class in pymzml.plot)": [[9, "pymzml.plot.Factory"]], "__init__() (pymzml.plot.factory method)": [[9, "pymzml.plot.Factory.__init__"]], "add() (pymzml.plot.factory method)": [[9, "pymzml.plot.Factory.add"]], "get_data() (pymzml.plot.factory method)": [[9, "pymzml.plot.Factory.get_data"]], "info() (pymzml.plot.factory method)": [[9, "pymzml.plot.Factory.info"]], "newplot() (pymzml.plot.factory method)": [[9, "pymzml.plot.Factory.newPlot"]], "new_plot() (pymzml.plot.factory method)": [[9, "pymzml.plot.Factory.new_plot"]], "pymzml.plot": [[9, "module-pymzml.plot"]], "save() (pymzml.plot.factory method)": [[9, "pymzml.plot.Factory.save"]], "chromatogram_and_spectrum_pattern_with_id (in module pymzml.regex_patterns)": [[10, "pymzml.regex_patterns.CHROMATOGRAM_AND_SPECTRUM_PATTERN_WITH_ID"]], "chromatogram_close_pattern (in module pymzml.regex_patterns)": [[10, "pymzml.regex_patterns.CHROMATOGRAM_CLOSE_PATTERN"]], "chromatogram_id_pattern (in module pymzml.regex_patterns)": [[10, "pymzml.regex_patterns.CHROMATOGRAM_ID_PATTERN"]], "chromatogram_pattern (in module pymzml.regex_patterns)": [[10, "pymzml.regex_patterns.CHROMATOGRAM_PATTERN"]], "file_encoding_pattern (in module pymzml.regex_patterns)": [[10, "pymzml.regex_patterns.FILE_ENCODING_PATTERN"]], "moby_dick_chapter_pattern (in module pymzml.regex_patterns)": [[10, "pymzml.regex_patterns.MOBY_DICK_CHAPTER_PATTERN"]], "sim_index_pattern (in module pymzml.regex_patterns)": [[10, "pymzml.regex_patterns.SIM_INDEX_PATTERN"]], "spectrum_close_pattern (in module pymzml.regex_patterns)": [[10, "pymzml.regex_patterns.SPECTRUM_CLOSE_PATTERN"]], "spectrum_id_pattern2 (in module pymzml.regex_patterns)": [[10, "pymzml.regex_patterns.SPECTRUM_ID_PATTERN2"]], "spectrum_index_pattern (in module pymzml.regex_patterns)": [[10, "pymzml.regex_patterns.SPECTRUM_INDEX_PATTERN"]], "spectrum_open_pattern (in module pymzml.regex_patterns)": [[10, "pymzml.regex_patterns.SPECTRUM_OPEN_PATTERN"]], "spectrum_tag_pattern (in module pymzml.regex_patterns)": [[10, "pymzml.regex_patterns.SPECTRUM_TAG_PATTERN"]], "pymzml.regex_patterns": [[10, "module-pymzml.regex_patterns"]], "reader (class in pymzml.run)": [[11, "pymzml.run.Reader"]], "__getitem__() (pymzml.run.reader method)": [[11, "pymzml.run.Reader.__getitem__"]], "file_class (pymzml.run.reader property)": [[11, "pymzml.run.Reader.file_class"]], "get_chromatogram_count() (pymzml.run.reader method)": [[11, "pymzml.run.Reader.get_chromatogram_count"]], "get_spectrum_count() (pymzml.run.reader method)": [[11, "pymzml.run.Reader.get_spectrum_count"]], "next() (pymzml.run.reader method)": [[11, "pymzml.run.Reader.next"]], "pymzml.run": [[11, "module-pymzml.run"]], "chromatogram (class in pymzml.spec)": [[12, "pymzml.spec.Chromatogram"]], "id (pymzml.spec.spectrum property)": [[12, "pymzml.spec.Spectrum.ID"]], "ms_spectrum (class in pymzml.spec)": [[12, "pymzml.spec.MS_Spectrum"]], "spectrum (class in pymzml.spec)": [[12, "pymzml.spec.Spectrum"]], "tic (pymzml.spec.spectrum property)": [[12, "pymzml.spec.Spectrum.TIC"]], "__add__() (pymzml.spec.spectrum method)": [[12, "pymzml.spec.Spectrum.__add__"]], "__getitem__() (pymzml.spec.spectrum method)": [[12, "pymzml.spec.Spectrum.__getitem__"]], "__mul__() (pymzml.spec.spectrum method)": [[12, "pymzml.spec.Spectrum.__mul__"]], "__sub__() (pymzml.spec.spectrum method)": [[12, "pymzml.spec.Spectrum.__sub__"]], "__truediv__() (pymzml.spec.spectrum method)": [[12, "pymzml.spec.Spectrum.__truediv__"]], "estimated_noise_level() (pymzml.spec.spectrum method)": [[12, "pymzml.spec.Spectrum.estimated_noise_level"]], "extreme_values() (pymzml.spec.spectrum method)": [[12, "pymzml.spec.Spectrum.extreme_values"]], "get() (pymzml.spec.spectrum method)": [[12, "pymzml.spec.Spectrum.get"]], "get_element_by_name() (pymzml.spec.ms_spectrum method)": [[12, "pymzml.spec.MS_Spectrum.get_element_by_name"]], "get_element_by_path() (pymzml.spec.ms_spectrum method)": [[12, "pymzml.spec.MS_Spectrum.get_element_by_path"]], "has_overlapping_peak() (pymzml.spec.spectrum method)": [[12, "pymzml.spec.Spectrum.has_overlapping_peak"]], "has_peak() (pymzml.spec.spectrum method)": [[12, "pymzml.spec.Spectrum.has_peak"]], "highest_peaks() (pymzml.spec.spectrum method)": [[12, "pymzml.spec.Spectrum.highest_peaks"]], "i (pymzml.spec.spectrum property)": [[12, "pymzml.spec.Spectrum.i"]], "id_dict (pymzml.spec.spectrum property)": [[12, "pymzml.spec.Spectrum.id_dict"]], "index (pymzml.spec.spectrum property)": [[12, "pymzml.spec.Spectrum.index"]], "measured_precision (pymzml.spec.ms_spectrum property)": [[12, "pymzml.spec.MS_Spectrum.measured_precision"]], "measured_precision (pymzml.spec.spectrum property)": [[12, "pymzml.spec.Spectrum.measured_precision"]], "ms_level (pymzml.spec.spectrum property)": [[12, "pymzml.spec.Spectrum.ms_level"]], "mz (pymzml.spec.spectrum property)": [[12, "pymzml.spec.Spectrum.mz"]], "peaks() (pymzml.spec.chromatogram method)": [[12, "pymzml.spec.Chromatogram.peaks"]], "peaks() (pymzml.spec.spectrum method)": [[12, "pymzml.spec.Spectrum.peaks"]], "ppm2abs() (pymzml.spec.spectrum method)": [[12, "pymzml.spec.Spectrum.ppm2abs"]], "precursors (pymzml.spec.spectrum property)": [[12, "pymzml.spec.Spectrum.precursors"]], "profile (pymzml.spec.chromatogram property)": [[12, "pymzml.spec.Chromatogram.profile"]], "pymzml.spec": [[12, "module-pymzml.spec"]], "reduce() (pymzml.spec.spectrum method)": [[12, "pymzml.spec.Spectrum.reduce"]], "remove_noise() (pymzml.spec.spectrum method)": [[12, "pymzml.spec.Spectrum.remove_noise"]], "scan_time (pymzml.spec.spectrum property)": [[12, "pymzml.spec.Spectrum.scan_time"]], "scan_time_in_minutes() (pymzml.spec.spectrum method)": [[12, "pymzml.spec.Spectrum.scan_time_in_minutes"]], "selected_precursors (pymzml.spec.spectrum property)": [[12, "pymzml.spec.Spectrum.selected_precursors"]], "set_peaks() (pymzml.spec.spectrum method)": [[12, "pymzml.spec.Spectrum.set_peaks"]], "similarity_to() (pymzml.spec.spectrum method)": [[12, "pymzml.spec.Spectrum.similarity_to"]], "t_mz_set (pymzml.spec.spectrum property)": [[12, "pymzml.spec.Spectrum.t_mz_set"]], "time (pymzml.spec.chromatogram property)": [[12, "pymzml.spec.Chromatogram.time"]], "to_string() (pymzml.spec.ms_spectrum method)": [[12, "pymzml.spec.MS_Spectrum.to_string"]], "transform_mz() (pymzml.spec.spectrum method)": [[12, "pymzml.spec.Spectrum.transform_mz"]], "transformed_mz_with_error (pymzml.spec.spectrum property)": [[12, "pymzml.spec.Spectrum.transformed_mz_with_error"]], "transformed_peaks (pymzml.spec.spectrum property)": [[12, "pymzml.spec.Spectrum.transformed_peaks"]], "gsgr (class in pymzml.utils.gsgr)": [[13, "pymzml.utils.GSGR.GSGR"]], "gsgw (class in pymzml.utils.gsgw)": [[13, "pymzml.utils.GSGW.GSGW"]], "_allocate_index_bytes() (pymzml.utils.gsgw.gsgw method)": [[13, "pymzml.utils.GSGW.GSGW._allocate_index_bytes"]], "_check_magic_bytes() (pymzml.utils.gsgr.gsgr method)": [[13, "pymzml.utils.GSGR.GSGR._check_magic_bytes"]], "_read_basic_header() (pymzml.utils.gsgr.gsgr method)": [[13, "pymzml.utils.GSGR.GSGR._read_basic_header"]], "_read_index() (pymzml.utils.gsgr.gsgr method)": [[13, "pymzml.utils.GSGR.GSGR._read_index"]], "_write_data() (pymzml.utils.gsgw.gsgw method)": [[13, "pymzml.utils.GSGW.GSGW._write_data"]], "_write_gen_header() (pymzml.utils.gsgw.gsgw method)": [[13, "pymzml.utils.GSGW.GSGW._write_gen_header"]], "_write_identifier() (pymzml.utils.gsgw.gsgw method)": [[13, "pymzml.utils.GSGW.GSGW._write_identifier"]], "_write_offset() (pymzml.utils.gsgw.gsgw method)": [[13, "pymzml.utils.GSGW.GSGW._write_offset"]], "add_data() (pymzml.utils.gsgw.gsgw method)": [[13, "pymzml.utils.GSGW.GSGW.add_data"]], "encoding (pymzml.utils.gsgw.gsgw property)": [[13, "pymzml.utils.GSGW.GSGW.encoding"]], "file_out (pymzml.utils.gsgw.gsgw property)": [[13, "pymzml.utils.GSGW.GSGW.file_out"]], "read() (pymzml.utils.gsgr.gsgr method)": [[13, "pymzml.utils.GSGR.GSGR.read"]], "read_block() (pymzml.utils.gsgr.gsgr method)": [[13, "pymzml.utils.GSGR.GSGR.read_block"]], "seek() (pymzml.utils.gsgr.gsgr method)": [[13, "pymzml.utils.GSGR.GSGR.seek"]], "write_index() (pymzml.utils.gsgw.gsgw method)": [[13, "pymzml.utils.GSGW.GSGW.write_index"]]}})